<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::core::DataPlot1D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_data_plot1_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_data_plot1_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::DataPlot1D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a 1D plot on the ground station.  
 <a href="classframework_1_1core_1_1_data_plot1_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot1_d_8h_source.html">DataPlot1D.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::DataPlot1D:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_data_plot1_d.png" usemap="#framework::core::DataPlot1D_map" alt=""/>
  <map id="framework::core::DataPlot1D_map" name="framework::core::DataPlot1D_map">
<area href="classframework_1_1core_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="framework::core::DataPlot" shape="rect" coords="0,0,172,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3edd1bce74f250954c8c17473d33bcfb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot1_d.html#a3edd1bce74f250954c8c17473d33bcfb">DataPlot1D</a> (<a class="el" href="classframework_1_1core_1_1_layout_item.html">LayoutItem</a> *parent, std::string name, int row, int col, float ymin, float ymax)</td></tr>
<tr class="memdesc:a3edd1bce74f250954c8c17473d33bcfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3edd1bce74f250954c8c17473d33bcfb">More...</a><br/></td></tr>
<tr class="separator:a3edd1bce74f250954c8c17473d33bcfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a4952eb6dcb4d982301716d6d7afba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot1_d.html#a36a4952eb6dcb4d982301716d6d7afba">~DataPlot1D</a> ()</td></tr>
<tr class="memdesc:a36a4952eb6dcb4d982301716d6d7afba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a36a4952eb6dcb4d982301716d6d7afba">More...</a><br/></td></tr>
<tr class="separator:a36a4952eb6dcb4d982301716d6d7afba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fa8bfd6f16d5ae2e7dd2570286b5faf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot1_d.html#a4fa8bfd6f16d5ae2e7dd2570286b5faf">AddCurve</a> (<a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a> *matrix, int index_row, int index_col, uint8_t r=255, uint8_t g=0, uint8_t b=0, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:a4fa8bfd6f16d5ae2e7dd2570286b5faf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from a matrix to the plot.  <a href="#a4fa8bfd6f16d5ae2e7dd2570286b5faf">More...</a><br/></td></tr>
<tr class="separator:a4fa8bfd6f16d5ae2e7dd2570286b5faf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce2ca5a68ab078930b728ea07fe96c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot1_d.html#acce2ca5a68ab078930b728ea07fe96c7">AddCurve</a> (<a class="el" href="classframework_1_1core_1_1_imu_data.html">ImuData</a> *data, <a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">ImuData::PlotableData_t</a> data_type, <a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697">ImuData::Conversion_t</a> conversion=<a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697a334826b8820d26a2efa66d811b16b88e">ImuData::None</a>, uint8_t r=255, uint8_t g=0, uint8_t b=0, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:acce2ca5a68ab078930b728ea07fe96c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from a <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> to the plot.  <a href="#acce2ca5a68ab078930b728ea07fe96c7">More...</a><br/></td></tr>
<tr class="separator:acce2ca5a68ab078930b728ea07fe96c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_data_plot"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_data_plot')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_data_plot.html">framework::core::DataPlot</a></td></tr>
<tr class="memitem:a162d6799d9cb8b04fa78dc191270c1b7 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a162d6799d9cb8b04fa78dc191270c1b7">DataPlot</a> (<a class="el" href="classframework_1_1core_1_1_layout_item.html">LayoutItem</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a162d6799d9cb8b04fa78dc191270c1b7 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a162d6799d9cb8b04fa78dc191270c1b7">More...</a><br/></td></tr>
<tr class="separator:a162d6799d9cb8b04fa78dc191270c1b7 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d8945fee6927c4d1fbc62ad1a029b9 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a26d8945fee6927c4d1fbc62ad1a029b9">~DataPlot</a> ()</td></tr>
<tr class="memdesc:a26d8945fee6927c4d1fbc62ad1a029b9 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a26d8945fee6927c4d1fbc62ad1a029b9">More...</a><br/></td></tr>
<tr class="separator:a26d8945fee6927c4d1fbc62ad1a029b9 inherit pub_methods_classframework_1_1core_1_1_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4230c27f62f4c945e5d00202ce928593 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a4230c27f62f4c945e5d00202ce928593">XmlEvent</a> (xmlNode *node)</td></tr>
<tr class="memdesc:a4230c27f62f4c945e5d00202ce928593 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">XmlEvent from ground station.  <a href="#a4230c27f62f4c945e5d00202ce928593">More...</a><br/></td></tr>
<tr class="separator:a4230c27f62f4c945e5d00202ce928593 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32aa3fbbf77baadad7f05351e03d22 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a9a32aa3fbbf77baadad7f05351e03d22">AddDataToSend</a> (<a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a> *matrix, int row, int col)</td></tr>
<tr class="memdesc:a9a32aa3fbbf77baadad7f05351e03d22 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a cvmatrix element to the plot.  <a href="#a9a32aa3fbbf77baadad7f05351e03d22">More...</a><br/></td></tr>
<tr class="separator:a9a32aa3fbbf77baadad7f05351e03d22 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628f90119c512c4d29c7903aed4d8f36 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a628f90119c512c4d29c7903aed4d8f36">AddDataToSend</a> (<a class="el" href="classframework_1_1core_1_1_imu_data.html">ImuData</a> *data, <a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">ImuData::PlotableData_t</a> type, <a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697">ImuData::Conversion_t</a> conversion)</td></tr>
<tr class="memdesc:a628f90119c512c4d29c7903aed4d8f36 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> element to the plot.  <a href="#a628f90119c512c4d29c7903aed4d8f36">More...</a><br/></td></tr>
<tr class="separator:a628f90119c512c4d29c7903aed4d8f36 inherit pro_methods_classframework_1_1core_1_1_data_plot"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a 1D plot on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3edd1bce74f250954c8c17473d33bcfb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::DataPlot1D::DataPlot1D </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_layout_item.html">LayoutItem</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a 1D plot at given place in the parent <a class="el" href="classframework_1_1core_1_1_layout_item.html" title="Abstract class to display a layout on the ground station. ">LayoutItem</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent to display the plot </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">row</td><td>row place of the plot in the parent </td></tr>
    <tr><td class="paramname">col</td><td>column place of the plot in the parent </td></tr>
    <tr><td class="paramname">ymin</td><td>default ymin of the plot </td></tr>
    <tr><td class="paramname">ymax</td><td>default ymax of the plot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a36a4952eb6dcb4d982301716d6d7afba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::DataPlot1D::~DataPlot1D </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4fa8bfd6f16d5ae2e7dd2570286b5faf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::DataPlot1D::AddCurve </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a> *&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index_row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index_col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from a matrix to the plot. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>matrix to plot </td></tr>
    <tr><td class="paramname">index_row</td><td>row of the matrix </td></tr>
    <tr><td class="paramname">index_col</td><td>column of the matrix </td></tr>
    <tr><td class="paramname">r</td><td>red component of the curve </td></tr>
    <tr><td class="paramname">g</td><td>green component of the curve </td></tr>
    <tr><td class="paramname">b</td><td>blue component of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve ofr the legend </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acce2ca5a68ab078930b728ea07fe96c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::DataPlot1D::AddCurve </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html">ImuData</a> *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">ImuData::PlotableData_t</a>&#160;</td>
          <td class="paramname"><em>data_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697">ImuData::Conversion_t</a>&#160;</td>
          <td class="paramname"><em>conversion</em> = <code><a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697a334826b8820d26a2efa66d811b16b88e">ImuData::None</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from a <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> to the plot. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td><a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> to plot </td></tr>
    <tr><td class="paramname">data_type</td><td>element of the <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> </td></tr>
    <tr><td class="paramname">conversion</td><td>conversion if needed </td></tr>
    <tr><td class="paramname">r</td><td>red component of the curve </td></tr>
    <tr><td class="paramname">g</td><td>green component of the curve </td></tr>
    <tr><td class="paramname">b</td><td>blue component of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve ofr the legend </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_data_plot1_d.html">DataPlot1D</a></li>
    <li class="footer">Generated on Mon Mar 24 2014 21:51:13 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
